<?php

namespace App\Services;

use App\Models\Pencatatan;
use App\Models\Permohonan;
use App\User;
use Carbon\Carbon;

class PencatatanService
{
    public function __construct()
    {

    }

    public function createPencatatan(Permohonan $permohonan)
    {
        $pencatatan = new Pencatatan();
        $pencatatan->id = $permohonan->id;
        $pencatatan->noKtpPria = $permohonan->noKtpPria;
		$pencatatan->namaPria = $permohonan->namaPria;
		$pencatatan->noKtpWanita = $permohonan->noKtpWanita;
		$pencatatan->namaWanita = $permohonan->namaWanita;
		$pencatatan->tanggal = new Carbon();
		$pencatatan->statusPria = $permohonan->statusPria;
		$pencatatan->istriPriaSebelumnya = $permohonan->istriPriaSebelumnya;
		$pencatatan->statusWanita = $permohonan->statusWanita;
		$pencatatan->suamiWanitaSebelumnya = $permohonan->suamiWanitaSebelumnya;
        
        return $pencatatan->save();
    }

    public function updatePencatatan($id, array $data)
    {
        $pencatatan = Pencatatan::where('id', '=', $id)->first();

        if ($pencatatan == NULL) {
            return false;
        } else {
            $pencatatan->noKtpPria = $data['noKtpPria'];
            $pencatatan->namaPria = $data['namaPria'];
            $pencatatan->noKtpWanita = $data['noKtpWanita'];
            $pencatatan->namaWanita = $data['namaWanita'];
            $pencatatan->tanggal = new Carbon();
            $pencatatan->statusPria = Permohonan::$STATUS_STRING[$data['statusPria']];
            $pencatatan->istriPriaSebelumnya = $data['istriPriaSebelumnya'];
            $pencatatan->statusWanita = Permohonan::$STATUS_STRING[$data['statusWanita']];
            $pencatatan->suamiWanitaSebelumnya = $data['suamiWanitaSebelumnya'];

            return $pencatatan->save();
        }
    }
   
    public function getPencatatan(int $id){
		
	}
}
