-- phpMyAdmin SQL Dump
-- version 4.4.9
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: May 16, 2016 at 04:22 PM
-- Server version: 5.6.25-log
-- PHP Version: 5.5.31

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";



DROP TABLE IF EXISTS `logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `logs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `owner_type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `owner_id` int(11) NOT NULL,
  `old_value` text COLLATE utf8_unicode_ci,
  `new_value` text COLLATE utf8_unicode_ci,
  `type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `logs`
--

LOCK TABLES `logs` WRITE;
/*!40000 ALTER TABLE `logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `logs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `migrations` (
  `migration` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrations`
--

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES ('2014_10_12_000000_create_users_table',1),('2014_10_12_100000_create_password_resets_table',1),('2015_08_01_104512_create_log_table',1);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `password_resets`
--

DROP TABLE IF EXISTS `password_resets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `password_resets` (
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `token` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  KEY `password_resets_email_index` (`email`),
  KEY `password_resets_token_index` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `password_resets`
--

LOCK TABLES `password_resets` WRITE;
/*!40000 ALTER TABLE `password_resets` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_resets` ENABLE KEYS */;
UNLOCK TABLES;


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `ppl`
--

-- --------------------------------------------------------

--
-- Table structure for table `pencatatan`
--

CREATE TABLE IF NOT EXISTS `pencatatan` (
  `id` int(11) NOT NULL,
  `noKtpPria` varchar(128) DEFAULT NULL,
  `namaPria` varchar(128) DEFAULT NULL,
  `noKtpWanita` varchar(128) DEFAULT NULL,
  `namaWanita` varchar(128) DEFAULT NULL,
  `tanggal_permohonan` date DEFAULT NULL,
  `tanggal` date DEFAULT NULL,
  `statusPria` varchar(32) DEFAULT NULL,
  `istriPriaSebelumnya` varchar(128) DEFAULT NULL,
  `statusWanita` varchar(32) DEFAULT NULL,
  `suamiWanitaSebelumnya` varchar(128) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `pencatatan`
--

INSERT INTO `pencatatan` (`id`, `noKtpPria`, `namaPria`, `noKtpWanita`, `namaWanita`, `tanggal_permohonan`, `tanggal`, `statusPria`, `istriPriaSebelumnya`, `statusWanita`, `suamiWanitaSebelumnya`) VALUES
(0, '1234567890123456', 'asdasd asdasd', '1234567890123456', 'pkkodf osf', '2016-04-01', '2016-04-18', 'Belum pernah menikah', '', 'Belum pernah menikah', '');

-- --------------------------------------------------------

--
-- Table structure for table `permohonan`
--

CREATE TABLE IF NOT EXISTS `permohonan` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `noKtpPria` varchar(128) DEFAULT NULL,
  `namaPria` varchar(128) DEFAULT NULL,
  `noKtpWanita` varchar(128) DEFAULT NULL,
  `namaWanita` varchar(128) DEFAULT NULL,
  `tanggal` date DEFAULT NULL,
  `statusPria` varchar(32) DEFAULT NULL,
  `istriPriaSebelumnya` varchar(128) DEFAULT NULL,
  `statusWanita` varchar(32) DEFAULT NULL,
  `suamiWanitaSebelumnya` varchar(128) DEFAULT NULL,
  `status` tinyint(4) DEFAULT '0',
  `disetujuiRt` tinyint(4) NOT NULL DEFAULT '0',
  `disetujuiRw` tinyint(4) NOT NULL DEFAULT '0',
  `uploadSuratRt` tinyint(4) NOT NULL DEFAULT '0',
  `uploadSuratRw` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `permohonan`
--

INSERT INTO `permohonan` (`id`, `user_id`, `noKtpPria`, `namaPria`, `noKtpWanita`, `namaWanita`, `tanggal`, `statusPria`, `istriPriaSebelumnya`, `statusWanita`, `suamiWanitaSebelumnya`, `status`, `disetujuiRt`, `disetujuiRw`, `uploadSuratRt`, `uploadSuratRw`) VALUES
(14, 8, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0, 0, 0, 0, 0),
(15, 10, '1234567890113456', 'cowok', '1234567890113457', 'cewek', '2016-04-21', 'Belum pernah menikah', '', 'Belum pernah menikah', '', 1, 0, 0, 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL,
  `email` varchar(128) NOT NULL,
  `password` varchar(128) NOT NULL,
  `remember_token` varchar(128) DEFAULT NULL,
  `role` int(11) DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `name` varchar(128) DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `email`, `password`, `remember_token`, `role`, `name`) VALUES
(5, 'asdasd', '$2y$10$2z2PTdrtTMF9yWWGFUT1ieVzOABfmAzOp4jYTsPgnc6ZCwyhqy1oO', NULL, 0, 'asd'),
(6, 'vincent.s.the@gmail.com', 'c2d628ba98ed491776c9335e988e2e3b', 'Yz8Ipe5VWeGgOlRpuZ1vLucEEQQ08UvqfAE3xvTrLkZHkH8YM0xnRrb161Mb', 0, 'Vincent Sebastian'),
(8, 'qwe@qwe.qwe', 'efe6398127928f1b2e9ef3207fb82663', NULL, 1, 'qwe'),
(9, 'admin@admin.com', '21232f297a57a5a743894a0e4a801fc3', NULL, 2, 'admin'),
(10, 'coba@coba.com', 'c3ec0f7b054e729c5a716c8125839829', NULL, 0, 'coba'),
(11, 'admin@dukcapil.bandung.go.id', '21232f297a57a5a743894a0e4a801fc3', NULL, 2, 'Nama Admin Dukcapil Bandung'),
(12, 'petugas@dukcapil.bandung.go.id', '21232f297a57a5a743894a0e4a801fc3', NULL, 1, 'Nama Petugas Pencatatan Perkawinan Dukcapil Bandung');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `pencatatan`
--
ALTER TABLE `pencatatan`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `permohonan`
--
ALTER TABLE `permohonan`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `pencatatan`
--
ALTER TABLE `pencatatan`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `permohonan`
--
ALTER TABLE `permohonan`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=16;
--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=11;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
