@extends('layouts.base')

@section('title')
  Daftar Pengguna
@endsection

@section('content')
  <div class="panel panel-default">
    <div class="panel-heading font-bold">
      Daftar Permohonan
    </div>
    <div class="table-responsive">
      <table class="table table-striped">
        <thead>
          <tr>
            <th>id</th>
            <th>Email</th>
            <th>Nama</th>
            <th>Role</th>
          </tr>
        </thead>
        <tbody>
          @foreach($userList as $user)
            <tr>
              <td>{{ $user->id }}</td>
              <td>{{ $user->email }}</td>
              <td>{{ $user->name }}</td>
              <td>
					@if ( $user-> role == 1 )
						Petugas Pencatatan Perkawinan
					@elseif ($user -> role == 2 )
						Administrator
					@endif
              </td>
              <td>
                <a href="/admin/user/{{ $user->id }}"><i class="fa fa-search"></i></a>
              </td>
            </tr>
          @endforeach
        </tbody>
      </table>
    </div>
  </div>
@endsection
