<?php

namespace App;

use Illuminate\Support\Facades\Auth as BaseAuth;

class Auth extends BaseAuth
{
    public static function isCommonUser()
    {
        $user = self::user();
        if ($user && ($user->role == User::ROLE_USER)) {
            return true;
        } else {
            return false;
        }
    }

    public static function isAdmin()
    {
        $user = self::user();
        if ($user && ($user->role == User::ROLE_ADMIN)) {
            return true;
        } else {
            return false;
        }
    }

    public static function isPencatat()
    {
        $user = self::user();
        if ($user && ($user->role == User::ROLE_PENCATAT)) {
            return true;
        } else {
            return false;
        }
    }
}