<?php

namespace App\Http\Controllers\Core;

use App\Http\Controllers\Controller;
use App\User;
use Illuminate\Http\Request;

class AdminController extends Controller
{
    public function authenticate(Request $request)
    {
        if (!$request->session()->has('user.id') || ($request->session()->get('user.role') != User::ROLE_ADMIN)) {
            return false;
        } else {
            return true;
        }
    }

    protected function user(Request $request)
    {
        $userId = $request->session()->get('user.id');
        $user = User::find($userId);
        
        return $user;
    }
}