<?php

namespace App\Http\Controllers\Core;

use App\Http\Controllers\Controller;
use App\User;
use Illuminate\Http\Request;

class GuestController extends Controller
{
    public function authenticate(Request $request)
    {
        if ($request->session()->has('user.id')) {
            $role = $request->session()->get('user.role', NULL);

            if ($role == User::ROLE_USER) {
                redirect('/permohonan');
            } else if ($role == User::ROLE_PENCATAT) {
                redirect('/pencatat/permohonan');
            } else if ($role == User::ROLE_ADMIN) {
				redirect('/admin');
            }
        }
    }

    protected function user(Request $request)
    {
        $userId = $request->session()->get('user.id');
        $user = User::find($userId);

        return $user;
    }
}
