<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::group(['middleware' => ['web']], function () {
    Route::post('/login', 'Auth\AuthController@login');

    Route::get('/logout', 'Auth\AuthController@logout');

    Route::get('/register', 'HomeController@register');

    Route::auth();

    Route::post('/register1', 'HomeController@postRegister');

    Route::get('/home', 'HomeController@index');

    Route::get('/login', 'HomeController@login');

    Route::post('/login', 'HomeController@postLogin');

//    Route::group(['middleware' => ['commonUser']], function () {
        Route::get('/', 'PermohonanController@index');
        
        Route::get('/permohonan/create', 'PermohonanController@create');
        
        Route::get('/permohonan/update', 'PermohonanController@update');
        
        Route::post('/permohonan/update', 'PermohonanController@postUpdate');
        
        Route::get('/permohonan/upload', 'PermohonanController@upload');
        
        Route::post('/permohonan/upload/rt', 'PermohonanController@postUploadRt');

        Route::post('/permohonan/upload/rw', 'PermohonanController@postUploadRw');
//    });

//    Route::group(['middleware' => ['pencatat']], function () {
        Route::get('/pencatat', 'Pencatat\PermohonanController@index');

        Route::get('/pencatat/permohonan/{id}', 'Pencatat\PermohonanController@view');
        
        Route::post('/pencatat/permohonan/{id}/approved', 'Pencatat\PermohonanController@markApproved');
        
        Route::post('/pencatat/permohonan/{id}/notCompleted', 'Pencatat\PermohonanController@markNotCompleted');

//    });

//    Route::group(['middleware' => ['admin']], function () {
		Route::get('/admin', 'Admin\UserController@index');
//    });
});
