<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;
use OwenIt\Auditing\AuditingTrait;

class Pencatatan extends Model
{
	use AuditingTrait;
	
    const STATUS_BELUM_PERNAH_MENIKAH = 0;
    const STATUS_PERNAH_MENIKAH = 1;

    public static $STATUS_STRING = [
        "Belum pernah menikah",
        "Pernah menikah"
    ];
    
    protected $table = "pencatatan";
    
    public $timestamps = false;

    protected $fillable = [
		'noAkteNikah',
        'noKtpPria',
        'namaPria',
        'noKtpWanita',
        'namaWanita',
        'statusPria',
        'istriPriaSebelumnya',
        'statusWanita',
        'suamiWanitaSebelumnya'
    ];
    
    /*public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }*/
}
