<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;
use OwenIt\Auditing\AuditingTrait;

class Penduduk extends Model
{
	use Auditingtrait;
	
	protected $connection = 'mysqlcore';
	
	protected $table = "penduduk";
    
    public $timestamps = false;

    protected $fillable = [
        'id',
        'nama',
        'tanggal_lahir',
        'tempat_lahir',
        'jenis_kelamin',
        'id_keluarga',
        'id_ayah',
        'id_ibu',
        'hubungan_keluarga',
        'golongan_darah',
        'agama',
        'wni',
        'status_perkawinan',
        'pekerjaan',
        'pendidikan',
        'id_izin_tetap',
        'id_passport',
        'created_at',
        'updated_at',
        'status'
    ];
}

?>
