@extends('layouts.base')

@section('title')
  Daftar Permohonan
@endsection

@section('content')
  <div class="panel panel-default">
    <div class="panel-heading font-bold">
      Daftar Permohonan
    </div>
    <div class="table-responsive">
      <table class="table table-striped">
        <thead>
          <tr>
            <th>id</th>
            <th>Nama Mempelai Pria</th>
            <th>Nama Mempelai Wanita</th>
          </tr>
        </thead>
        <tbody>
          @foreach($permohonanList as $permohonan)
            <tr>
              <td>{{ $permohonan->id }}</td>
              <td>{{ $permohonan->namaPria }}</td>
              <td>{{ $permohonan->namaWanita }}</td>
              <td>
                <a href="/pencatat/permohonan/{{ $permohonan->id }}"><i class="fa fa-search"></i></a>
              </td>
            </tr>
          @endforeach
        </tbody>
      </table>
    </div>
  </div>
@endsection
