@extends('layouts.base')

@section('title')
  Permohonan Pencatatan Pernikahan
@endsection

@section('content')
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel-heading">
        Permohonan #{{ $permohonan->id  }}
      </div>
      <div class="panel-body">
            <form method="POST">

              <div class="row">
                <div class="col-md-6">
                  <h4>Mempelai Pria</h4>

                  <div class="form-group">
                    <label>No. KTP</label>
                    <input type="text" class="form-control" name="noKtpPria" value="{{ $permohonan->noKtpPria }}" disabled>
                  </div>

                  <div class="form-group">
                    <label>Nama Lengkap</label>
                    <input type="text" class="form-control" name="namaPria" value="{{ $permohonan->namaPria }}" disabled>
                  </div>

                  <div class="form-group">
                    <label>Status Pernikahan Sebelumnya</label>
                    <select class="form-control" name="statusPria" value="{{ $permohonan->statusPria }}" disabled>
                      <option value="0">Belum Pernah Menikah</option>
                      <option value="1">Sudah Pernah Menikah</option>
                    </select>
                  </div>

                  <div class="form-group">
                    <label>Nama Istri Sebelumnya</label>
                    <input type="text" class="form-control" name="istriPriaSebelumnya" value="{{ $permohonan->istriPriaSebelumnya }}" disabled>
                  </div>
                </div>

                <div class="col-md-6">
                  <h4>Mempelai Wanita</h4>

                  <div class="form-group">
                    <label>No. KTP</label>
                    <input type="text" class="form-control" name="noKtpWanita" value="{{ $permohonan->noKtpWanita }}" disabled>
                  </div>

                  <div class="form-group">
                    <label>Nama Lengkap</label>
                    <input type="text" class="form-control" name="namaWanita" value="{{ $permohonan->namaWanita }}" disabled>
                  </div>

                  <div class="form-group">
                    <label>Status Pernikahan Sebelumnya</label>
                    <select class="form-control" name="statusWanita" value="{{ $permohonan->statusWanita }}" disabled>
                      <option value="0">Belum Pernah Menikah</option>
                      <option value="1">Sudah Pernah Menikah</option>
                    </select>
                  </div>

                  <div class="form-group">
                    <label>Nama Suami Sebelumnya</label>
                    <input type="text" class="form-control" name="suamiWanitaSebelumnya" value="{{ $permohonan->suamiWanitaSebelumnya }}" disabled>
                  </div>
                </div>
              </div>
              <div>
				  <button type="submit" class="btn btn-success" method="POST" formaction="/pencatat/permohonan/{{ $permohonan->id }}/approved" onclick="return confirm('Anda yakin hendak menandai permohonan ini disetujui?')">Setujui</button>
              </div>
              <div>
				  <button type="submit" class="btn btn-dark" method="POST" formaction="/pencatat/permohonan/{{ $permohonan->id }}/notCompleted" onclick="return confirm('Anda yakin hendak menandai permohonan ini belum lengkap?')">Belum Lengkap</button>
              </div>
              <div>
              </div>
            </form>
      </div>
    </div>
  </div>
@endsection
