@extends('layouts.user_layout')

@section('title')
  Unggah Surat Rekomendasi RT/RW
@endsection

@section('content')
  <div class="col-md-4">
    <div class="panel panel-default">
      <div class="panel-heading">
        Surat Rekomendasi RT
      </div>

      <div class="panel-body">
        <form action="/permohonan/upload/rt" method="POST" enctype="multipart/form-data">
          <div style="margin-bottom: 20px">
            @if($permohonan->uploadSuratRt == 0)
              Anda belum mengunggah surat rekomendasi RT
            @else
              <img class="col-md-12" src="{{ $permohonan->getSuratRtUrl() }}" style="margin-bottom: 20px;">
            @endif
          </div>

          <input ui-jq="filestyle" type="file" data-icon="false" data-classButton="btn btn-default" data-classInput="form-control inline v-middle input-s" name="file">

          <button class="btn btn-success btn-addon" style="margin-top: 20px">
            <i class="fa fa-upload"></i>
            Unggah
          </button>
        </form>
      </div>
      </div>
    </div>

  <div class="col-md-4">
    <div class="panel panel-default">
      <div class="panel-heading">
        Surat Rekomendasi RW
      </div>

      <div class="panel-body">
        <form action="/permohonan/upload/rw" method="POST" enctype="multipart/form-data">
          <div style="margin-bottom: 20px">
            @if($permohonan->uploadSuratRt == 0)
              Anda belum mengunggah surat rekomendasi RT
            @else
              <img class="col-md-12" src="{{ $permohonan->getSuratRwUrl() }}">
            @endif
          </div>

          <input ui-jq="filestyle" type="file" data-icon="false" data-classButton="btn btn-default" data-classInput="form-control inline v-middle input-s" name="file">

          <button class="btn btn-success btn-addon" style="margin-top: 20px">
            <i class="fa fa-upload"></i>
            Unggah
          </button>
        </form>
      </div>
    </div>
  </div>
  </div>
@endsection